io.vertx.rxjava.circuitbreaker

## Class HystrixMetricHandler

- java.lang.Object
- - io.vertx.rxjava.circuitbreaker.HystrixMetricHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class HystrixMetricHandler
      extends Object
      implements Handler<RoutingContext>

  A Vert.x web handler to expose the circuit breaker to the Hystrix dasbboard. The handler listens to the circuit breaker notifications sent on the event bus.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<HystrixMetricHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HystrixMetricHandler(HystrixMetricHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HystrixMetricHandler` | `create(Vertx vertx)` Creates the handler, using the default notification address.
    `static HystrixMetricHandler` | `create(Vertx vertx, String address)` Creates the handler.
    `HystrixMetricHandler` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static HystrixMetricHandler` | `newInstance(HystrixMetricHandler arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<HystrixMetricHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### HystrixMetricHandler

          public HystrixMetricHandler(HystrixMetricHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public HystrixMetricHandler getDelegate()

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static HystrixMetricHandler create(Vertx vertx)

      Creates the handler, using the default notification address.
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the handler

    - #### create

          public static HystrixMetricHandler create(Vertx vertx,
                                                    String address)

      Creates the handler.
      Parameters:
        `vertx` - the Vert.x instance
        `address` - the address to listen on the event bus
      Returns:
        the handler

    - #### newInstance

          public static HystrixMetricHandler newInstance(HystrixMetricHandler arg)

Copyright © 2017. All rights reserved.